MPLS-Netconf
Resources Summary
Section titled “Resources Summary”| YANG Path | get/get-config | edit-config | rpc |
|---|---|---|---|
| /clear-mpls-ldp-neighbor | — | — | Y |
| /mpls | Y | merge, replace, create, delete | — |
| /mpls-l2vpn | Y | merge, replace, create, delete | — |
| /mpls-l2vpn/ccc-instances/{name} | Y | merge, replace, create, delete | — |
| /mpls-l2vpn/l2vpn-instances/{name}/{l2vpn-type} | Y | merge, replace, create, delete | — |
| /mpls-l2vpn/pseudowires/{name} | Y | merge, replace, create, delete | — |
| /mpls-ldp | Y | merge, replace, create, delete | — |
| /mpls-ldp/address-families/{type} | Y | merge, replace, create, delete | — |
| /mpls-ldp/address-families/{type}/discovery | Y | merge, replace, create, delete | — |
| /mpls-ldp/address-families/{type}/interfaces/{name} | Y | merge, replace, create, delete | — |
| /mpls-ldp/address-families/{type}/label | Y | merge, replace, create, delete | — |
| /mpls-ldp/address-families/{type}/neighbors/{neighbor} | Y | merge, replace, create, delete | — |
| /mpls-ldp/global | Y | merge, replace, create, delete | — |
| /mpls-ldp/global/neighbors/{neighbor} | Y | merge, replace, create, delete | — |
| /mpls/mpls-interfaces/{name} | Y | merge, replace, create, delete | — |
| /mpls/static-lsps/{incoming-label}/{next-hop} | Y | merge, replace, create, delete | — |
| /show-l2vpn-atom-binding-json | — | — | Y |
| /show-l2vpn-atom-vc-json | — | — | Y |
| /show-mpls-ldp-binding | — | — | Y |
| /show-mpls-ldp-capabilities | — | — | Y |
| /show-mpls-ldp-discovery | — | — | Y |
| /show-mpls-ldp-interface | — | — | Y |
| /show-mpls-ldp-neighbor | — | — | Y |
| /show-mpls-pseudowire-json | — | — | Y |
| /show-mpls-table | — | — | Y |
Examples
Section titled “Examples”This chapter provides examples on how to use Netconf to manage MPLS configurations on AsterNOS devices.
Create MPLS Interface
Section titled “Create MPLS Interface”Request example to enable L3VPN multi-domain switching on an interface via edit-config.
<config> <top> <mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls"> <mpls-interfaces operation="create"> <mpls-interface> <name>Ethernet1</name> <l3vpn-multi-domain-switching>true</l3vpn-multi-domain-switching> </mpls-interface> </mpls-interfaces> </mpls> </top></config>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:00000000-0000-0000-0000-000000000000"> <ok/></rpc-reply>Get MPLS Interface Configuration
Section titled “Get MPLS Interface Configuration”Request example to get MPLS interface configuration via get-config with subtree filter.
<filter type="subtree"> <top> <mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls"> <mpls-interfaces> <mpls-interface> <name>Ethernet1</name> </mpls-interface> </mpls-interfaces> </mpls> </top></filter>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:00000000-0000-0000-0000-000000000001"> <data> <top> <mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls"> <mpls-interfaces> <mpls-interface> <name>Ethernet1</name> <l3vpn-multi-domain-switching>true</l3vpn-multi-domain-switching> </mpls-interface> </mpls-interfaces> </mpls> </top> </data></rpc-reply>Merge MPLS Interface Configuration
Section titled “Merge MPLS Interface Configuration”Request example to merge MPLS interface configuration via edit-config.
<config> <top> <mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls"> <mpls-interfaces> <mpls-interface operation="merge"> <name>Ethernet2</name> <l3vpn-multi-domain-switching>true</l3vpn-multi-domain-switching> </mpls-interface> </mpls-interfaces> </mpls> </top></config>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:00000000-0000-0000-0000-000000000002"> <ok/></rpc-reply>Delete MPLS Interface Configuration
Section titled “Delete MPLS Interface Configuration”Request example to disable L3VPN multi-domain switching on an interface via edit-config.
<config> <top> <mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls"> <mpls-interfaces> <mpls-interface operation="delete"> <name>Ethernet3</name> </mpls-interface> </mpls-interfaces> </mpls> </top></config>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:00000000-0000-0000-0000-000000000003"> <ok/></rpc-reply>Get MPLS Interface Delete Result
Section titled “Get MPLS Interface Delete Result”Request example to verify deletion via get-config with subtree filter.
<filter type="subtree"> <top> <mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls"> <mpls-interfaces/> </mpls> </top></filter>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:00000000-0000-0000-0000-000000000004"> <data> <top> <mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls"> <mpls-interfaces/> </mpls> </top> </data></rpc-reply>Create Static LSP
Section titled “Create Static LSP”Request example to create a static transit LSP via edit-config.
<config> <top> <mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls"> <static-lsps operation="create"> <static-lsp> <incoming-label>16</incoming-label> <next-hop>10.0.0.2</next-hop> <outgoing-label>18</outgoing-label> </static-lsp> </static-lsps> </mpls> </top></config>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:00000000-0000-0000-0000-000000000005"> <ok/></rpc-reply>Create Static LSP with Explicit-Null
Section titled “Create Static LSP with Explicit-Null”Request example to create a static LSP with explicit-null outgoing label via edit-config.
<config> <top> <mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls"> <static-lsps> <static-lsp operation="create"> <incoming-label>17</incoming-label> <next-hop>10.0.0.2</next-hop> <outgoing-label>explicit-null</outgoing-label> </static-lsp> </static-lsps> </mpls> </top></config>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:00000000-0000-0000-0000-000000000006"> <ok/></rpc-reply>Create Static LSP with Implicit-Null
Section titled “Create Static LSP with Implicit-Null”Request example to create a static LSP with implicit-null outgoing label via edit-config.
<config> <top> <mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls" operation="create"> <static-lsps> <static-lsp> <incoming-label>18</incoming-label> <next-hop>10.0.0.2</next-hop> <outgoing-label>implicit-null</outgoing-label> </static-lsp> </static-lsps> </mpls> </top></config>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:00000000-0000-0000-0000-000000000007"> <ok/></rpc-reply>Get Static LSP Configuration
Section titled “Get Static LSP Configuration”Request example to get static LSP configuration via get-config with subtree filter.
<filter type="subtree"> <top> <mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls"> <static-lsps> <static-lsp> <incoming-label>16</incoming-label> <next-hop>10.0.0.2</next-hop> </static-lsp> </static-lsps> </mpls> </top></filter>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:00000000-0000-0000-0000-000000000008"> <data> <top> <mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls"> <static-lsps> <static-lsp> <incoming-label>16</incoming-label> <next-hop>10.0.0.2</next-hop> <outgoing-label>18</outgoing-label> </static-lsp> </static-lsps> </mpls> </top> </data></rpc-reply>Merge Static LSP
Section titled “Merge Static LSP”Request example to merge static LSP configuration via edit-config.
<config> <top> <mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls"> <static-lsps> <static-lsp operation="merge"> <incoming-label>16</incoming-label> <next-hop>10.0.0.2</next-hop> <outgoing-label>22</outgoing-label> </static-lsp> </static-lsps> </mpls> </top></config>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:00000000-0000-0000-0000-000000000009"> <ok/></rpc-reply>Delete Static LSP
Section titled “Delete Static LSP”Request example to delete a static LSP via edit-config.
<config> <top> <mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls"> <static-lsps> <static-lsp operation="delete"> <incoming-label>16</incoming-label> <next-hop>10.0.0.2</next-hop> </static-lsp> </static-lsps> </mpls> </top></config>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:00000000-0000-0000-0000-000000000010"> <ok/></rpc-reply>Create Full MPLS Configuration
Section titled “Create Full MPLS Configuration”Request example to create the entire MPLS configuration via edit-config.
<config> <top> <mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls" operation="create"> <mpls-interfaces> <mpls-interface> <name>Ethernet1</name> <l3vpn-multi-domain-switching>true</l3vpn-multi-domain-switching> </mpls-interface> </mpls-interfaces> <static-lsps> <static-lsp> <incoming-label>16</incoming-label> <next-hop>10.0.0.2</next-hop> <outgoing-label>18</outgoing-label> </static-lsp> <static-lsp> <incoming-label>17</incoming-label> <next-hop>10.0.0.3</next-hop> <outgoing-label>implicit-null</outgoing-label> </static-lsp> </static-lsps> </mpls> </top></config>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:00000000-0000-0000-0000-000000000011"> <ok/></rpc-reply>Get Full MPLS Configuration
Section titled “Get Full MPLS Configuration”Request example to get the entire MPLS configuration via get-config with subtree filter.
<filter type="subtree"> <top> <mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls"/> </top></filter>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:00000000-0000-0000-0000-000000000012"> <data> <top> <mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls"> <mpls-interfaces> <mpls-interface> <name>Ethernet1</name> <l3vpn-multi-domain-switching>true</l3vpn-multi-domain-switching> </mpls-interface> </mpls-interfaces> <static-lsps> <static-lsp> <incoming-label>16</incoming-label> <next-hop>10.0.0.2</next-hop> <outgoing-label>18</outgoing-label> </static-lsp> <static-lsp> <incoming-label>17</incoming-label> <next-hop>10.0.0.3</next-hop> <outgoing-label>implicit-null</outgoing-label> </static-lsp> </static-lsps> </mpls> </top> </data></rpc-reply>Merge Full MPLS Configuration
Section titled “Merge Full MPLS Configuration”Request example to merge the entire MPLS configuration via edit-config.
<config> <top> <mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls" operation="merge"> <mpls-interfaces> <mpls-interface> <name>Ethernet1</name> <l3vpn-multi-domain-switching>true</l3vpn-multi-domain-switching> </mpls-interface> <mpls-interface> <name>Ethernet2</name> <l3vpn-multi-domain-switching>true</l3vpn-multi-domain-switching> </mpls-interface> </mpls-interfaces> <static-lsps> <static-lsp> <incoming-label>16</incoming-label> <next-hop>10.0.0.2</next-hop> <outgoing-label>18</outgoing-label> </static-lsp> </static-lsps> </mpls> </top></config>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:00000000-0000-0000-0000-000000000013"> <ok/></rpc-reply>Delete Full MPLS Configuration
Section titled “Delete Full MPLS Configuration”Request example to delete the entire MPLS configuration via edit-config.
<config> <top> <mpls xmlns="http://asterfusion.com/ns/yang/asternos-mpls" operation="delete"/> </top></config>Response example
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:00000000-0000-0000-0000-000000000014"> <ok/></rpc-reply>Properties Descriptions
Section titled “Properties Descriptions”Tree Diagram
module: asternos-mpls +--rw mpls +--rw mpls-interfaces | +--rw mpls-interface* [name] | +--rw name interface-name | +--rw l3vpn-multi-domain-switching? boolean +--rw static-lsps +--rw static-lsp* [incoming-label next-hop] +--rw incoming-label mpls-label +--rw next-hop inet:ip-address +--rw outgoing-label outgoing-label-typeTable of Properties
| Name | Required | Type/Range | Description |
|---|---|---|---|
| mpls | O |
This container defines the information l2vpn
Section titled “This container defines the information l2vpn”Tree Diagram
/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:230: error: unexpected keyword "type"/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:240: error: unexpected keyword "type"/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:250: error: unexpected keyword "type"module: asternos-mpls-l2vpn +--rw mpls-l2vpn +--rw pseudowires | +--rw pseudowire* [name] | +--rw name string | +--rw pw-type? mpls-l2vpn-signaling-type | +--rw pw-id? uint32 | +--rw transmit-label? uint32 | +--rw receive-label? uint32 | +--rw peer-address? inet:ip-address-no-zone | +--rw peer-lsr-id? inet:ipv4-address-no-zone | +--rw pw-status? boolean +--rw l2vpn-instances | +--rw l2vpn-instance* [name l2vpn-type] | +--rw name string | +--rw l2vpn-type mpls-l2vpn-type | +--rw pseudowire* string | +--rw ac-interface? union +--rw ccc-instances +--rw ccc-instance* [name] +--rw name string +--rw ccc-type? mpls-ccc-type +--rw ac-interface* union +--rw transmit-label? uint32 +--rw receive-label? uint32 +--rw nexthop? inet:ip-address-no-zoneTable of Properties
| Name | Required | Type/Range | Description |
|---|---|---|---|
| mpls-l2vpn | M | Path-only node, has no configurable value. This container defines the information l2vpn. | |
| pseudowires | M | Path-only node, has no configurable value. pseudowire list. | |
| pseudowire | M | Path-only node, has no configurable value. list of pseudowires. | |
| name | O | None | pseudowire name. |
| pw-type | O | ”static" "ldp” | pseudowire type. |
| pw-id | O | 1..4294967295 | pseudowire id. |
| transmit-label | O | 16..1048575 | transmit label. |
| receive-label | O | 16..1048575 | receive label. |
| peer-address | O | inet:ip-address-no-zone | peer IP address. |
| peer-lsr-id | O | inet:ipv4-address-no-zone | peer LDP router identifier. |
| pw-status | O | ”true" "false” | pseudowire status. Default value: True |
| l2vpn-instances | M | Path-only node, has no configurable value. mpls l2vpn instance list. | |
| l2vpn-instance | M | Path-only node, has no configurable value. list of l2vpn instances. | |
| name | O | None | l2vpn instance name. |
| l2vpn-type | O | ”vpls" "vpws” | mpls l2vpn type. |
| pseudowire | O | None | pseudowire interface list of l2vpn instance. |
| ac-interface | O | Ethernet name | attachment circuit interface list of l2vpn instance. for vpls the interface must be a vlan. for vpws the interface must be a port |
| ccc-instances | M | Path-only node, has no configurable value. mpls vpws ccc instance list. | |
| ccc-instance | M | Path-only node, has no configurable value. list of ccc instances. | |
| name | O | None | name of ccc instance |
| ccc-type | O | ”local" "remote” | ccc type |
| ac-interface | O | Ethernet name | attachment circuit interface of mpls vpws ccc. The interface must be 2 for local ccc |
| transmit-label | O | 0..1048575 | transmit lable |
| receive-label | O | 16..1048575 | receive label |
| nexthop | O | inet:ip-address-no-zone | nexthop IP address. |
mpls vpws ccc instance list
Section titled “mpls vpws ccc instance list”Tree Diagram
/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:230: error: unexpected keyword "type"/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:240: error: unexpected keyword "type"/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:250: error: unexpected keyword "type"module: asternos-mpls-l2vpn +--rw mpls-l2vpn +--rw ccc-instances +--rw ccc-instance* [name] +--rw name string +--rw ccc-type? mpls-ccc-type +--rw ac-interface* union +--rw transmit-label? uint32 +--rw receive-label? uint32 +--rw nexthop? inet:ip-address-no-zoneTable of Properties
| Name | Required | Type/Range | Description |
|---|---|---|---|
| ccc-instances | M | Path-only node, has no configurable value. mpls vpws ccc instance list. | |
| ccc-instance | M | Path-only node, has no configurable value. list of ccc instances. | |
| name | O | None | name of ccc instance |
| ccc-type | O | ”local" "remote” | ccc type |
| ac-interface | O | Ethernet name | attachment circuit interface of mpls vpws ccc. The interface must be 2 for local ccc |
| transmit-label | O | 0..1048575 | transmit lable |
| receive-label | O | 16..1048575 | receive label |
| nexthop | O | inet:ip-address-no-zone | nexthop IP address. |
mpls l2vpn instance list
Section titled “mpls l2vpn instance list”Tree Diagram
/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:230: error: unexpected keyword "type"/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:240: error: unexpected keyword "type"/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:250: error: unexpected keyword "type"module: asternos-mpls-l2vpn +--rw mpls-l2vpn +--rw l2vpn-instances +--rw l2vpn-instance* [name l2vpn-type] +--rw name string +--rw l2vpn-type mpls-l2vpn-type +--rw pseudowire* string +--rw ac-interface? unionTable of Properties
| Name | Required | Type/Range | Description |
|---|---|---|---|
| l2vpn-instances | M | Path-only node, has no configurable value. mpls l2vpn instance list. | |
| l2vpn-instance | M | Path-only node, has no configurable value. list of l2vpn instances. | |
| name | O | None | l2vpn instance name. |
| l2vpn-type | O | ”vpls" "vpws” | mpls l2vpn type. |
| pseudowire | O | None | pseudowire interface list of l2vpn instance. |
| ac-interface | O | Ethernet name | attachment circuit interface list of l2vpn instance. for vpls the interface must be a vlan. for vpws the interface must be a port |
pseudowire list
Section titled “pseudowire list”Tree Diagram
/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:230: error: unexpected keyword "type"/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:240: error: unexpected keyword "type"/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:250: error: unexpected keyword "type"module: asternos-mpls-l2vpn +--rw mpls-l2vpn +--rw pseudowires +--rw pseudowire* [name] +--rw name string +--rw pw-type? mpls-l2vpn-signaling-type +--rw pw-id? uint32 +--rw transmit-label? uint32 +--rw receive-label? uint32 +--rw peer-address? inet:ip-address-no-zone +--rw peer-lsr-id? inet:ipv4-address-no-zone +--rw pw-status? booleanTable of Properties
| Name | Required | Type/Range | Description |
|---|---|---|---|
| pseudowires | M | Path-only node, has no configurable value. pseudowire list. | |
| pseudowire | M | Path-only node, has no configurable value. list of pseudowires. | |
| name | O | None | pseudowire name. |
| pw-type | O | ”static" "ldp” | pseudowire type. |
| pw-id | O | 1..4294967295 | pseudowire id. |
| transmit-label | O | 16..1048575 | transmit label. |
| receive-label | O | 16..1048575 | receive label. |
| peer-address | O | inet:ip-address-no-zone | peer IP address. |
| peer-lsr-id | O | inet:ipv4-address-no-zone | peer LDP router identifier. |
| pw-status | O | ”true" "false” | pseudowire status. Default value: True |
Top-level container for MPLS LDP configuration
Section titled “Top-level container for MPLS LDP configuration”Tree Diagram
module: asternos-mpls-ldp +--rw mpls-ldp +--rw global | +--rw router-id? inet:ipv4-address | +--rw ordered-control? boolean | +--rw wait-for-sync? uint32 | +--rw dual-stack-prefer-ipv4? boolean | +--rw hello-interval? uint16 | +--rw hello-holdtime? uint16 | +--rw targeted-hello-interval? uint16 | +--rw targeted-hello-holdtime? uint16 | +--rw neighbors* [neighbor] | +--rw neighbor inet:ipv4-address | +--rw password? string | +--rw ttl-security-disable? boolean | +--rw ttl-security-hops? uint8 | +--rw session-interval? uint16 | +--rw session-holdtime? uint16 +--rw address-families +--rw address-family* [type] +--rw type enumeration +--rw discovery | +--rw hello-interval? uint16 | +--rw hello-holdtime? uint16 | +--rw targeted-hello-interval? uint16 | +--rw targeted-hello-holdtime? uint16 | +--rw (targeted-hello-accept-policy)? | | +--:(all) | | | +--rw targeted-hello-accept-all? boolean | | +--:(filter) | | +--rw targeted-hello-accept-filter? string | +--rw transport-address? inet:ip-address +--rw interfaces* [name] | +--rw name interface-name | +--rw disable-establish-hello? boolean | +--rw hello-interval? uint16 | +--rw hello-holdtime? uint16 +--rw neighbors* [neighbor] | +--rw neighbor inet:ip-address | +--rw targeted? boolean +--rw label | +--rw local-advertise-peer-filter? filter:filter-list-name | +--rw local-advertise-prefix-filter? filter:filter-list-name | +--rw (local-advertise-explicit-null-policy)? | | +--:(explicit-null-enable) | | | +--rw local-advertise-explicit-null-enable? boolean | | +--:(explicit-null-prefix-filter) | | +--rw local-advertise-explicit-null-prefix-filter? filter:filter-list-name | +--rw (local-allocate-policy)? | | +--:(host-routes-only) | | | +--rw local-allocate-host-routes-only? boolean | | +--:(prefix-filter) | | +--rw local-allocate-prefix-filter? filter:filter-list-name | +--rw remote-accept-peer-filter? filter:filter-list-name | +--rw remote-accept-prefix-filter? filter:filter-list-name +--rw ttl-security-disable? boolean +--rw session-interval? uint16 +--rw session-holdtime? uint16Table of Properties
| Name | Required | Type/Range | Description |
|---|---|---|---|
| mpls-ldp | M | Path-only node, has no configurable value. Top-level container for MPLS LDP configuration. | |
| global | M | Path-only node, has no configurable value. Global MPLS LDP parameters. | |
| router-id | O | inet:ipv4-address | LSR Identifier for the LDP instance. |
| ordered-control | O | ”true" "false” | Enable ordered control mode for LDP. Default value: False |
| wait-for-sync | O | 1..10000 | Time to wait for LDP-IGP Sync to complete label exchange. Default value: 10 |
| dual-stack-prefer-ipv4 | O | ”true" "false” | Prefer IPv4 for transport connection in dual-stack environments. If false, IPv6 is preferred. Default value: False |
| hello-interval | O | 1..65535 | Interval between consecutive LDP Hello messages. Default value: 2 |
| hello-holdtime | O | 1..65535 | Time to maintain Hello adjacency without receiving messages. Default value: 1 |
| targeted-hello-interval | O | 1..65535 | The interval between consecutive LDP targeted Hello messages. Default value: 5 |
| targeted-hello-holdtime | O | 1..65535 | The time interval for which a targeted Hello adjacency is maintained. Default value: 4 |
| neighbors | M | Path-only node, has no configurable value. Neighbor specific LDP parameters. | |
| neighbor | O | inet:ipv4-address | LDP Identifier of neighbor (LSR ID). |
| password | O | string (length 1..32) | MD5 password for LDP session. |
| ttl-security-disable | O | ”true" "false” | Disable TTL security check. Default value: False |
| ttl-security-hops | O | 1..254 | Number of hops allowed for TTL security. |
| session-interval | O | 5..65535 | Interval between successive keepalive packets. Default value: 5 |
| session-holdtime | O | 15..65535 | Time after which an inactive session is terminated. Default value: 15 |
| address-families | M | Path-only node, has no configurable value. LDP address family specific configuration. | |
| address-family | M | Path-only node, has no configurable value. Per-address family (IPv4 or IPv6) configuration. | |
| type | O | ”ipv4" "ipv6” | Address family type. |
| discovery | M | Path-only node, has no configurable value. Address-family discovery parameters. | |
| hello-interval | O | 1..65535 | Interval between consecutive LDP Hello messages. Default value: 2 |
| hello-holdtime | O | 1..65535 | Time to maintain Hello adjacency without receiving messages. Default value: 1 |
| targeted-hello-interval | O | 1..65535 | The interval between consecutive LDP targeted Hello messages. Default value: 5 |
| targeted-hello-holdtime | O | 1..65535 | The time interval for which a targeted Hello adjacency is maintained. Default value: 4 |
| targeted-hello-accept-all | O | ”true" "false” | Accept targeted hellos from any neighbor (overrides filter-list). Default value: False |
| targeted-hello-accept-filter | O | string | Filter-list name to permit specific neighbors for targeted hellos. |
| transport-address | O | inet:ip-address | Specify transport address for TCP connection discovery. |
| interfaces | M | Path-only node, has no configurable value. Interface specific LDP configuration. | |
| name | O | Ethernet name | Interface name (e.g., Ethernet0). |
| disable-establish-hello | O | ”true" "false” | Disable LDP session establishment on this interface. Default value: False |
| hello-interval | O | 1..65535 | Interval between consecutive LDP Hello messages. Default value: 2 |
| hello-holdtime | O | 1..65535 | Time to maintain Hello adjacency without receiving messages. Default value: 1 |
| neighbors | M | Path-only node, has no configurable value. Neighbor specific LDP parameters. | |
| neighbor | O | inet:ip-address | LDP Identifier of neighbor (LSR ID). |
| targeted | O | ”true" "false” | Whether this is a targeted LDP neighbor. Default value: False |
| label | M | Path-only node, has no configurable value. Label advertisement policies for this address family (flattened). | |
| local-advertise-peer-filter | O | filter:filter-list-name | Advertise labels only to LDP peers matched by this filter. |
| local-advertise-prefix-filter | O | filter:filter-list-name | Advertise labels only for destination prefixes matched by this filter. |
| local-advertise-explicit-null-enable | O | ”true" "false” | Enable explicit-null advertisement. Default value: False |
| local-advertise-explicit-null-prefix-filter | O | filter:filter-list-name | Prefix filter for explicit-null advertisement. |
| local-allocate-host-routes-only | O | ”true" "false” | Allocate labels only for host routes (/32 or /128). Default value: False |
| local-allocate-prefix-filter | O | filter:filter-list-name | Allocate labels for prefixes matching this filter. |
| remote-accept-peer-filter | O | filter:filter-list-name | Accept labels only from LDP peers matched by this filter. |
| remote-accept-prefix-filter | O | filter:filter-list-name | Accept labels only for destination prefixes matched by this filter. |
| ttl-security-disable | O | ”true" "false” | Disable LDP TTL security check globally. Default value: False |
| session-interval | O | 5..65535 | Interval between successive keepalive packets. Default value: 5 |
| session-holdtime | O | 15..65535 | Time after which an inactive session is terminated. Default value: 15 |
LDP address family specific configuration
Section titled “LDP address family specific configuration”Tree Diagram
module: asternos-mpls-ldp +--rw mpls-ldp +--rw address-families +--rw address-family* [type] +--rw type enumeration +--rw discovery | +--rw hello-interval? uint16 | +--rw hello-holdtime? uint16 | +--rw targeted-hello-interval? uint16 | +--rw targeted-hello-holdtime? uint16 | +--rw (targeted-hello-accept-policy)? | | +--:(all) | | | +--rw targeted-hello-accept-all? boolean | | +--:(filter) | | +--rw targeted-hello-accept-filter? string | +--rw transport-address? inet:ip-address +--rw interfaces* [name] | +--rw name interface-name | +--rw disable-establish-hello? boolean | +--rw hello-interval? uint16 | +--rw hello-holdtime? uint16 +--rw neighbors* [neighbor] | +--rw neighbor inet:ip-address | +--rw targeted? boolean +--rw label | +--rw local-advertise-peer-filter? filter:filter-list-name | +--rw local-advertise-prefix-filter? filter:filter-list-name | +--rw (local-advertise-explicit-null-policy)? | | +--:(explicit-null-enable) | | | +--rw local-advertise-explicit-null-enable? boolean | | +--:(explicit-null-prefix-filter) | | +--rw local-advertise-explicit-null-prefix-filter? filter:filter-list-name | +--rw (local-allocate-policy)? | | +--:(host-routes-only) | | | +--rw local-allocate-host-routes-only? boolean | | +--:(prefix-filter) | | +--rw local-allocate-prefix-filter? filter:filter-list-name | +--rw remote-accept-peer-filter? filter:filter-list-name | +--rw remote-accept-prefix-filter? filter:filter-list-name +--rw ttl-security-disable? boolean +--rw session-interval? uint16 +--rw session-holdtime? uint16Table of Properties
| Name | Required | Type/Range | Description |
|---|---|---|---|
| address-families | M | Path-only node, has no configurable value. LDP address family specific configuration. | |
| address-family | M | Path-only node, has no configurable value. Per-address family (IPv4 or IPv6) configuration. | |
| type | O | ”ipv4" "ipv6” | Address family type. |
| discovery | M | Path-only node, has no configurable value. Address-family discovery parameters. | |
| hello-interval | O | 1..65535 | Interval between consecutive LDP Hello messages. Default value: 2 |
| hello-holdtime | O | 1..65535 | Time to maintain Hello adjacency without receiving messages. Default value: 1 |
| targeted-hello-interval | O | 1..65535 | The interval between consecutive LDP targeted Hello messages. Default value: 5 |
| targeted-hello-holdtime | O | 1..65535 | The time interval for which a targeted Hello adjacency is maintained. Default value: 4 |
| targeted-hello-accept-all | O | ”true" "false” | Accept targeted hellos from any neighbor (overrides filter-list). Default value: False |
| targeted-hello-accept-filter | O | string | Filter-list name to permit specific neighbors for targeted hellos. |
| transport-address | O | inet:ip-address | Specify transport address for TCP connection discovery. |
| interfaces | M | Path-only node, has no configurable value. Interface specific LDP configuration. | |
| name | O | Ethernet name | Interface name (e.g., Ethernet0). |
| disable-establish-hello | O | ”true" "false” | Disable LDP session establishment on this interface. Default value: False |
| hello-interval | O | 1..65535 | Interval between consecutive LDP Hello messages. Default value: 2 |
| hello-holdtime | O | 1..65535 | Time to maintain Hello adjacency without receiving messages. Default value: 1 |
| neighbors | M | Path-only node, has no configurable value. Neighbor specific LDP parameters. | |
| neighbor | O | inet:ip-address | LDP Identifier of neighbor (LSR ID). |
| targeted | O | ”true" "false” | Whether this is a targeted LDP neighbor. Default value: False |
| label | M | Path-only node, has no configurable value. Label advertisement policies for this address family (flattened). | |
| local-advertise-peer-filter | O | filter:filter-list-name | Advertise labels only to LDP peers matched by this filter. |
| local-advertise-prefix-filter | O | filter:filter-list-name | Advertise labels only for destination prefixes matched by this filter. |
| local-advertise-explicit-null-enable | O | ”true" "false” | Enable explicit-null advertisement. Default value: False |
| local-advertise-explicit-null-prefix-filter | O | filter:filter-list-name | Prefix filter for explicit-null advertisement. |
| local-allocate-host-routes-only | O | ”true" "false” | Allocate labels only for host routes (/32 or /128). Default value: False |
| local-allocate-prefix-filter | O | filter:filter-list-name | Allocate labels for prefixes matching this filter. |
| remote-accept-peer-filter | O | filter:filter-list-name | Accept labels only from LDP peers matched by this filter. |
| remote-accept-prefix-filter | O | filter:filter-list-name | Accept labels only for destination prefixes matched by this filter. |
| ttl-security-disable | O | ”true" "false” | Disable LDP TTL security check globally. Default value: False |
| session-interval | O | 5..65535 | Interval between successive keepalive packets. Default value: 5 |
| session-holdtime | O | 15..65535 | Time after which an inactive session is terminated. Default value: 15 |
Discovery
Section titled “Discovery”Tree Diagram
module: asternos-mpls-ldp +--rw mpls-ldp +--rw address-familiesInterfaces
Section titled “Interfaces”Tree Diagram
module: asternos-mpls-ldp +--rw mpls-ldp +--rw address-familiesTree Diagram
module: asternos-mpls-ldp +--rw mpls-ldp +--rw address-familiesNeighbors
Section titled “Neighbors”Tree Diagram
module: asternos-mpls-ldp +--rw mpls-ldp +--rw address-familiesGlobal MPLS LDP parameters
Section titled “Global MPLS LDP parameters”Tree Diagram
module: asternos-mpls-ldp +--rw mpls-ldp +--rw global +--rw router-id? inet:ipv4-address +--rw ordered-control? boolean +--rw wait-for-sync? uint32 +--rw dual-stack-prefer-ipv4? boolean +--rw hello-interval? uint16 +--rw hello-holdtime? uint16 +--rw targeted-hello-interval? uint16 +--rw targeted-hello-holdtime? uint16 +--rw neighbors* [neighbor] +--rw neighbor inet:ipv4-address +--rw password? string +--rw ttl-security-disable? boolean +--rw ttl-security-hops? uint8 +--rw session-interval? uint16 +--rw session-holdtime? uint16Table of Properties
| Name | Required | Type/Range | Description |
|---|---|---|---|
| global | M | Path-only node, has no configurable value. Global MPLS LDP parameters. | |
| router-id | O | inet:ipv4-address | LSR Identifier for the LDP instance. |
| ordered-control | O | ”true" "false” | Enable ordered control mode for LDP. Default value: False |
| wait-for-sync | O | 1..10000 | Time to wait for LDP-IGP Sync to complete label exchange. Default value: 10 |
| dual-stack-prefer-ipv4 | O | ”true" "false” | Prefer IPv4 for transport connection in dual-stack environments. If false, IPv6 is preferred. Default value: False |
| hello-interval | O | 1..65535 | Interval between consecutive LDP Hello messages. Default value: 2 |
| hello-holdtime | O | 1..65535 | Time to maintain Hello adjacency without receiving messages. Default value: 1 |
| targeted-hello-interval | O | 1..65535 | The interval between consecutive LDP targeted Hello messages. Default value: 5 |
| targeted-hello-holdtime | O | 1..65535 | The time interval for which a targeted Hello adjacency is maintained. Default value: 4 |
| neighbors | M | Path-only node, has no configurable value. Neighbor specific LDP parameters. | |
| neighbor | O | inet:ipv4-address | LDP Identifier of neighbor (LSR ID). |
| password | O | string (length 1..32) | MD5 password for LDP session. |
| ttl-security-disable | O | ”true" "false” | Disable TTL security check. Default value: False |
| ttl-security-hops | O | 1..254 | Number of hops allowed for TTL security. |
| session-interval | O | 5..65535 | Interval between successive keepalive packets. Default value: 5 |
| session-holdtime | O | 15..65535 | Time after which an inactive session is terminated. Default value: 15 |
Neighbor specific LDP parameters
Section titled “Neighbor specific LDP parameters”Tree Diagram
module: asternos-mpls-ldp +--rw mpls-ldp +--rw global +--rw neighbors* [neighbor] +--rw neighbor inet:ipv4-address +--rw password? string +--rw ttl-security-disable? boolean +--rw ttl-security-hops? uint8 +--rw session-interval? uint16 +--rw session-holdtime? uint16Table of Properties
| Name | Required | Type/Range | Description |
|---|---|---|---|
| neighbors | M | Path-only node, has no configurable value. Neighbor specific LDP parameters. | |
| neighbor | O | inet:ipv4-address | LDP Identifier of neighbor (LSR ID). |
| password | O | string (length 1..32) | MD5 password for LDP session. |
| ttl-security-disable | O | ”true" "false” | Disable TTL security check. Default value: False |
| ttl-security-hops | O | 1..254 | Number of hops allowed for TTL security. |
| session-interval | O | 5..65535 | Interval between successive keepalive packets. Default value: 5 |
| session-holdtime | O | 15..65535 | Time after which an inactive session is terminated. Default value: 15 |
Container for MPLS-enabled interfaces
Section titled “Container for MPLS-enabled interfaces”Tree Diagram
module: asternos-mpls +--rw mpls +--rw mpls-interfaces +--rw mpls-interface* [name] +--rw name interface-name +--rw l3vpn-multi-domain-switching? booleanTable of Properties
| Name | Required | Type/Range | Description |
|---|---|---|---|
| mpls-interfaces | M | Path-only node, has no configurable value. Container for MPLS-enabled interfaces. | |
| mpls-interface | M | Path-only node, has no configurable value. An interface configured for MPLS. | |
| name | O | Ethernet name | Name of the interface. |
| l3vpn-multi-domain-switching | O | ”true" "false” | Enable MPLS BGP L3VPN multi-domain switching on this interface. Default value: False |
Container for all static LSPs
Section titled “Container for all static LSPs”Tree Diagram
module: asternos-mpls +--rw mpls +--rw static-lsps +--rw static-lsp* [incoming-label next-hop] +--rw incoming-label mpls-label +--rw next-hop inet:ip-address +--rw outgoing-label outgoing-label-typeTable of Properties
| Name | Required | Type/Range | Description |
|---|---|---|---|
| static-lsps | M | Path-only node, has no configurable value. Container for all static LSPs. | |
| static-lsp | M | Path-only node, has no configurable value. A static transit LSP entry uniquely identified by incoming label and next-hop IP address. | |
| incoming-label | O | 16..1048575 | Incoming label to match. |
| next-hop | O | inet:ip-address | Next-hop IP address for forwarding. |
| outgoing-label | M | 16..1048575 ”explicit-null" "implicit-null” | Label to swap and forward. Can be a label value, ‘explicit-null’, or ‘implicit-null’. |
Clear Mpls Ldp Neighbor
Section titled “Clear Mpls Ldp Neighbor”Tree Diagram
module: asternos-mpls-ldp
rpcs: +---x clear-mpls-ldp-neighbor +---w input +---w lsr-id? inet:ip-address-no-zoneTable of Properties
| Name | Required | Type/Range | Description |
|---|---|---|---|
| clear-mpls-ldp-neighbor | O | ||
| lsr-id | O | inet:ip-address-no-zone | LSR-ID of neighbor to clear. |
Show L2vpn Atom Binding Json
Section titled “Show L2vpn Atom Binding Json”Tree Diagram
/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:230: error: unexpected keyword "type"/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:240: error: unexpected keyword "type"/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:250: error: unexpected keyword "type"module: asternos-mpls-l2vpn
rpcs: +---x show-l2vpn-atom-binding-json +--ro output +--ro data? stringTable of Properties
| Name | Required | Type/Range | Description |
|---|---|---|---|
| show-l2vpn-atom-binding-json | O | ||
| data | O | A json data that show AToM(Any Transport over MPLS) label binding information. |
Show L2vpn Atom Vc Json
Section titled “Show L2vpn Atom Vc Json”Tree Diagram
/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:230: error: unexpected keyword "type"/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:240: error: unexpected keyword "type"/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:250: error: unexpected keyword "type"module: asternos-mpls-l2vpn
rpcs: +---x show-l2vpn-atom-vc-json +--ro output +--ro data? stringTable of Properties
| Name | Required | Type/Range | Description |
|---|---|---|---|
| show-l2vpn-atom-vc-json | O | ||
| data | O | A json data that show AToM(Any Transport over MPLS) virtual circuit information. |
Show Mpls Ldp Binding
Section titled “Show Mpls Ldp Binding”Tree Diagram
module: asternos-mpls-ldp
rpcs: +---x show-mpls-ldp-binding +---w input | +---w (address-family)? | | +--:(ipv4) | | | +---w ipv4? empty | | +--:(ipv6) | | +---w ipv6? empty | +---w (filter)? | +--:(lsr-id) | | +---w lsr-id? inet:ip-address-no-zone | +--:(address) | | +---w address? inet:ip-prefix | +--:(local-label) | | +---w local-label? uint32 | +--:(remote-label) | +---w remote-label? uint32 +--ro output +--ro data? <anydata>Table of Properties
| Name | Required | Type/Range | Description |
|---|---|---|---|
| show-mpls-ldp-binding | O | ||
| ipv4 | O | empty | IPv4 address family. |
| ipv6 | O | empty | IPv6 address family. |
| lsr-id | O | inet:ip-address-no-zone | Filter by neighbor LSR-ID. |
| address | O | inet:ip-prefix | Filter by destination prefix. |
| local-label | O | 0..1048575 | Filter by locally assigned label. |
| remote-label | O | 0..1048575 | Filter by remotely assigned label. |
| data | O | Label binding information. |
Show Mpls Ldp Capabilities
Section titled “Show Mpls Ldp Capabilities”Tree Diagram
module: asternos-mpls-ldp
rpcs: +---x show-mpls-ldp-capabilities +--ro output +--ro data? <anydata>Table of Properties
| Name | Required | Type/Range | Description |
|---|---|---|---|
| show-mpls-ldp-capabilities | O | ||
| data | O | LDP capabilities data. |
Show Mpls Ldp Discovery
Section titled “Show Mpls Ldp Discovery”Tree Diagram
module: asternos-mpls-ldp
rpcs: +---x show-mpls-ldp-discovery +---w input | +---w (address-family)? | +--:(ipv4) | | +---w ipv4? empty | +--:(ipv6) | +---w ipv6? empty +--ro output +--ro data? <anydata>Table of Properties
| Name | Required | Type/Range | Description |
|---|---|---|---|
| show-mpls-ldp-discovery | O | ||
| ipv4 | O | empty | IPv4 address family. |
| ipv6 | O | empty | IPv6 address family. |
| data | O | Discovery information. |
Show Mpls Ldp Interface
Section titled “Show Mpls Ldp Interface”Tree Diagram
module: asternos-mpls-ldp
rpcs: +---x show-mpls-ldp-interface +---w input | +---w (address-family)? | +--:(ipv4) | | +---w ipv4? empty | +--:(ipv6) | +---w ipv6? empty +--ro output +--ro data? <anydata>Table of Properties
| Name | Required | Type/Range | Description |
|---|---|---|---|
| show-mpls-ldp-interface | O | ||
| ipv4 | O | empty | IPv4 address family. |
| ipv6 | O | empty | IPv6 address family. |
| data | O | Interface information. |
Show Mpls Ldp Neighbor
Section titled “Show Mpls Ldp Neighbor”Tree Diagram
module: asternos-mpls-ldp
rpcs: +---x show-mpls-ldp-neighbor +---w input | +---w lsr-id? inet:ip-address-no-zone +--ro output +--ro data? <anydata>Table of Properties
| Name | Required | Type/Range | Description |
|---|---|---|---|
| show-mpls-ldp-neighbor | O | ||
| lsr-id | O | inet:ip-address-no-zone | Filter by neighbor LSR-ID (optional). |
| data | O | Neighbor information. |
Show Mpls Pseudowire Json
Section titled “Show Mpls Pseudowire Json”Tree Diagram
/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:230: error: unexpected keyword "type"/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:240: error: unexpected keyword "type"/workspaces/as-mgmt-doc/doc/resource/yang/asternos-mpls-l2vpn.yang:250: error: unexpected keyword "type"module: asternos-mpls-l2vpn
rpcs: +---x show-mpls-pseudowire-json +--ro output +--ro data? stringTable of Properties
| Name | Required | Type/Range | Description |
|---|---|---|---|
| show-mpls-pseudowire-json | O | ||
| data | O | A json data that show MPLS Pseudowires information. |
Show Mpls Table
Section titled “Show Mpls Table”Tree Diagram
module: asternos-mpls
rpcs: +---x show-mpls-table +--ro output +--ro data? <anydata>Table of Properties
| Name | Required | Type/Range | Description |
|---|---|---|---|
| show-mpls-table | O | ||
| data | O | MPLS forwarding table contents. |